Subject: 25.0.50; Combining accents don't display properly in certain fonts
From: Artur Malabarba <[email-masked]>
To: [email-masked]
Date: Sun, 5 Jul 2015 17:24:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Start emacs -Q then evaluate the following in the *scratch* (assuming
you have this font installed)

(set-face-attribute 'default nil :font "SourceCodePro Medium")
(insert (format "a%c" 768))

The result should look like "à", but instead, it looks like "a`" where
the letter "a" is actually distorted and shifted up (image attached).
The same happens with other combining symbols.

On the other hand, if I type a second letter "a", then the grave wil be
placed over it, while the first letter stays distorted.

Again, this is easier to understand with the attached image. The
second and third lines of the image show the weird behavior. The first
line is correct, I think.